Bug 122121 - Hang in select loop
Hang in select loop
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
8.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-30 13:41 EDT by Christian Goetze
Modified: 2007-04-18 13:06 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-04 11:20:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
gzipped strace of "rpm -qa" (3.82 KB, application/octet-stream)
2004-04-30 13:43 EDT, Christian Goetze
no flags Details

  None (edit)
Description Christian Goetze 2004-04-30 13:41:18 EDT
Description of problem:

any rpm operation hangs, strace for "rpm -qa" attached.

Version-Release number of selected component (if applicable):

assam> rpm --version
RPM version 4.1

How reproducible:

Not sure how to create the initial state. I suspect there may have 
been an aborted rpm operation which may have created an inconcistent 
state. Rebuilding the rpm database seems to fix it, but after two or 
three rpm operations the hang is back and will happen reliably at 
every subsequent operation. I can provide a complete snapshot 
of /var/lib/rpm is it is helpful.
Comment 1 Christian Goetze 2004-04-30 13:43:40 EDT
Created attachment 99838 [details]
gzipped strace of "rpm -qa"

strace of "rpm -qa". The process needed to be killed with "kill -9".
Comment 2 Jeff Johnson 2004-05-04 09:39:18 EDT
Try
    rm -f /var/lib/rpm/__db*
Did that fix?
Comment 3 Christian Goetze 2004-05-04 09:56:04 EDT
Yes. On the mailing list, you pointed me in the right direction 
(SIGPIPE), and I now save the output of rpm -q into a temporary file 
prior to further processing.

Note You need to log in before you can comment on or make changes to this bug.